# Molpro NO2+ DFT (BLYP) optimisation

from chemsh       import *
from chemsh.utils import testutils

no2 = Fragment(coords="no2.cjson")

# default functional is 'blyp'
molpro = Molpro(frag=no2, method="dft", basis="3-21g", charge=1)

opt = Opt(theory=molpro,
          algorithm="lbfgs", tolerance=0.0003, trust_radius="energy",
          maxcycle=100, maxene=100, maxstep=1.0)
          
opt.run()

ecalc = opt.result.energy

# Test result from Tcl-ChemShell/Molpro 2022.3
eref = -203.552973323620

testutils.validate(ecalc, eref)
